## -*- texinfo -*-
## @deftypefn {Function File} {} PlotDataNew ()
## Build new PlotData object. You can add data to PlotData object and draw them in SvgPlot object with SvgPlotDraw.
## @seealso{SvgPlotNew, SvgPlotDraw}
## @seealso{PlotDataNew, PlotDataAdd, PlotDataSetColor, PlotDataSetColorSymbol,  PlotDataSetSymbol, PlotDataSetGrid, PlotDataSetXLabel, PlotDataSetColorLine, PlotDataSetLine, PlotDataSetYLabel, PlotDataSetColor, PlotDataSetPlotTitle}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [plotData] =PlotDataNew()
	plotData{1}.yMin=0;
	plotData{1}.yMax=0;
	plotData{1}.xMin=0;
	plotData{1}.xMax=0;
	plotData{1}.grid=1;
	plotData{1}.colors=[ 
		"red"; "blue"; "green"; "orange"; "brown"; "grey"; "violet";  "yellow"; "cyan"; "magenta"; "black"
	];
	plotData{1}.points=[
		"<path id='pto%d' d='M-1,0 L-0.23,0.23 L0,1 L0.23,0.23 L1,0 L0.23,-0.23 L0,-1 L-0.23,-0.23 z'/>";
		"<path id='pto%d' d='M-0.7,-0.7 L-0.33,0 L-0.7,0.7 L0,0.33 L0.7,0.7 L0.33,0 L0.7,-0.7 L0,-0.33 z'/>";
		"<path id='pto%d' d='M0.000000,-1.000000 L0.195928,-0.269672 L0.951057,-0.309017 L0.317019,0.103006 L0.587785,0.809017 L0.000000,0.333333 L-0.587785,0.809017 L-0.317019,0.103006 L-0.951057,-0.309017 L-0.195928,-0.269672 z'/>";
		"<circle id='pto%d' cx='0' cy='0' r='1'/>"
		"<path id='pto%d' d='M-1,0 L0,1 L1,0 L0,-1 z'/>";
		"<path id='pto%d' d='M-0.7,0.7 L0.7,0.7 L0.7,-0.7 L-0.7,-0.7 z'/>";
	];
	plotData{1}.fontLabel='Times';
	plotData{1}.fontLabelSize=12;
	plotData{1}.numbersFont='Times';
	plotData{1}.numbersFontSize=12;
	
	plotData{1}.xLabel= 'x';
	plotData{1}.yLabel= 'y';
endfunction