## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotArrow (@var{svgPlot}, @var{x0}, @var{y0}, @var{x1}, @var{y1})
## Plot arrow from (@var{x0},@var{y0}) to (@var{x1},@var{y1}).
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotArrow(svgPlot, x0, y0, x1, y1)
	
	alpha=-atan2( x1-x0 , y1-y0 );
	m=[ cos(alpha), -sin(alpha); sin(alpha), cos(alpha) ];
	arrow=[
			0, -1, 1;
			0, -2, -2
		];
	arrow=arrow*svgPlot.lineWidth*2;
	arrow=m*arrow+[x1,0; 0, y1]*ones(2,3);
	lineEnd=m*[ 0; -1 ]*svgPlot.lineWidth*2+[x1; y1];
	svgPlot=SvgPlotLine(svgPlot,  x0, y0, lineEnd(1), lineEnd(2) );
	
	backgroundColor=svgPlot.backgroundColor;
	foregroundColor=svgPlot.foregroundColor;
	svgPlot.backgroundColor=foregroundColor;
	svgPlot.foregroundColor="none";
	svgPlot=SvgPlotPolyLine(svgPlot,  arrow(1, 1:3).', arrow(2, 1:3).', true );
	svgPlot.backgroundColor=backgroundColor;
	svgPlot.foregroundColor=foregroundColor;
endfunction