## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotEllipse (@var{svgPlot}, @var{x}, @var{y}, @var{rx}, @var{ry}, @var{fill_ok} )
## Draw an ellipse. If @var{fill_ok} is true, ellipse is filled.
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotEllipse(svgPlot, x, y, rx, ry, fill_ok)
	out=svgPlot.out;
	if(fill_ok)
		fprintf(out, '<ellipse cx="%f" cy="%f" rx="%f" ry="%f" fill="%s" stroke="%s" stroke-width="%f" />\n', x, y, rx, ry, svgPlot.backgroundColor, svgPlot.foregroundColor, svgPlot.lineWidth );
	else
		fprintf(out, '<ellipse cx="%f" cy="%f" rx="%f" ry="%f" fill="none" stroke="%s" stroke-width="%f" />\n', x, y, rx, ry, svgPlot.foregroundColor, svgPlot.lineWidth );
	endif
endfunction