## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotLegent (@var{svgPlot}, @var{plotData}, @var{x}, @var{y})
## Plot legent of @var{plotData} in (@var{x},@var{y}).
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotLegent(svgPlot, plotData, x, y)
	out=svgPlot.out;
	line_length=20;
	for n=2:length(plotData)
		fprintf(out, '<path d="M %d %d L %d %d >', x, y, x+line_length, y);
		fprintf(out, '" fill="none" stroke="%s" stroke-width="1"/>\n', plotData{n}.color );
		fprintf(out, '<g stroke="%s" fill="%s"  transform="translate(%f,%f)  scale(%f)" stroke-width="0.2"  >\n', plotData{n}.symbolColor, plotData{n}.symbolColor, x+line_length/2, y,  plotData{n}.symbolScale);
		fprintf(out, '%s\n</g>\n', plotData{n}.symbol);
		fprintf(out, '<g transform="translate(%f,%f)" style="stroke:none; fill:black; font-family:%s; font-size:%fpt;">\n', x+line_length+1, y+plotData{1}.fontLabelSize/3,plotData{1}.fontLabel, plotData{1}.fontLabelSize);
         		fprintf(out,        '<text>%s</text>\n', plotData{n}.title);
        		fprintf(out, '</g>\n');
        		y=y+plotData{1}.fontLabelSize+1;
	endfor
endfunction
